Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1539)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1551)
@@ -1244,10 +1479,10 @@
                 IF ( timestep_scheme(1:5) == 'runge' )  THEN
                    IF ( intermediate_timestep_count == 1 )  THEN
-                      DO  k = 0, soil_layers-1
+                      DO  k = nzb_soil, nzt_soil
                          tm_soil_m(k,j,i) = tend(k)
                       ENDDO
                    ELSEIF ( intermediate_timestep_count <                      &
                             intermediate_timestep_count_max )  THEN
-                      DO  k = 0, soil_layers-1
+                      DO  k = nzb_soil, nzt_soil
                          tm_soil_m(k,j,i) = -9.5625_wp * tend(k) + 5.3125_wp   &
                                      * tm_soil_m(k,j,i)
@@ -1264,5 +1499,5 @@
 !--    Calculate surface specific humidity
        IF ( humidity )  THEN
-          CALL calc_q0
+          CALL calc_q_surface
        ENDIF
 
@@ -1274,7 +1509,7 @@
 ! Description:
 ! ------------
-!
+! Calculation of specific humidity of the surface layer (surface)
 !------------------------------------------------------------------------------!
-    SUBROUTINE calc_q0
+    SUBROUTINE calc_q_surface
 
        IMPLICIT NONE
@@ -1288,13 +1523,10 @@
           DO j = nysg, nyng
              k = nzb_s_inner(j,i)
-!
-!--          Temporary solution as long as T_0 is prescribed
-
-             pt_p(k,j,i) = T_0(j,i) / exn
+
 !
 !--          Calculate water vapour pressure at saturation
-             e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp * ( T_0(j,i) -         &
-                                              273.16_wp ) /  ( T_0(j,i) -      &
-                                              35.86_wp ) )
+             e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp * ( t_surface(j,i)     &
+                                              - 273.16_wp ) / ( t_surface(j,i) &
+                                              - 35.86_wp ) )
 
 !
@@ -1313,5 +1545,53 @@
        ENDDO
 
-    END SUBROUTINE calc_q0
+    END SUBROUTINE calc_q_surface
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+! Swapping of timelevels
+!------------------------------------------------------------------------------!
+    SUBROUTINE lsm_swap_timelevel ( mod_count )
+
+       IMPLICIT NONE
+
+       INTEGER, INTENT(IN) :: mod_count
+
+#if defined( __nopointer )
+
+       t_surface    = t_surface_p
+       t_soil       = t_soil_p
+       IF ( humidity )  THEN
+          m_soil    = m_soil_p
+          m_liq_eb  = m_liq_eb_p
+       ENDIF
+
+#else
+    
+       SELECT CASE ( mod_count )
+
+          CASE ( 0 )
+
+             t_surface = t_surface_p
+             t_soil    = t_soil_p
+             IF ( humidity )  THEN
+                m_soil    = m_soil_p
+                m_liq_eb  = m_liq_eb_p
+             ENDIF
+
+
+          CASE ( 1 )
+
+             t_surface  => t_surface_1; t_surface_p  => t_surface_2
+             t_soil     => t_soil_1;    t_soil_p     => t_soil_2
+             IF ( humidity )  THEN
+                m_soil    => m_soil_1;   m_soil_p    => m_soil_2
+                m_liq_eb  => m_liq_eb_1; m_liq_eb_p  => m_liq_eb_2
+             ENDIF
+
+       END SELECT
+#endif
+
+    END SUBROUTINE lsm_swap_timelevel
 
 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1539)
+++ palm/trunk/SOURCE/modules.f90	(revision 1551)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Increased pr_palm to 120. Increased length of dots_unit and dots_label to 13
+! digits. Increased length of domask, do2d, and do3d to 20 digits.
 ! 
 ! Former revisions:
@@ -568,6 +569,6 @@
     CHARACTER (LEN=20), DIMENSION(11)  ::  netcdf_precision = ' '
 
-    CHARACTER (LEN=10), DIMENSION(max_masks,0:1,100) ::  domask = ' '
-    CHARACTER (LEN=10), DIMENSION(0:1,100) ::  do2d = ' ', do3d = ' '
+    CHARACTER (LEN=20), DIMENSION(max_masks,0:1,100) ::  domask = ' '
+    CHARACTER (LEN=20), DIMENSION(0:1,100) ::  do2d = ' ', do3d = ' '
 
     INTEGER(iwp) ::  abort_mode = 1, average_count_pr = 0, average_count_sp = 0, &
@@ -1108,13 +1109,13 @@
     INTEGER(iwp) ::  dots_num = 23
 
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_names =   &
-         (/ 'wpt0  ', 'ws2   ', 'tsw2  ', 'ws3   ', 'ws2tsw', 'wstsw2', &
+    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_names =          &
+         (/ 'wpt0  ', 'ws2   ', 'tsw2  ', 'ws3   ', 'ws2tsw', 'wstsw2',        &
             'z_i   ' /)
 
-    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_longnames = &
-         (/ 'wpt0  ', 'w*2   ', 't*w2  ', 'w*3   ', 'w*2t*w', 'w*t*w2',   &
+    CHARACTER (LEN=6), DIMENSION(dopr_norm_num) ::  dopr_norm_longnames =      &
+         (/ 'wpt0  ', 'w*2   ', 't*w2  ', 'w*3   ', 'w*2t*w', 'w*t*w2',        &
             'z_i   ' /)
 
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_label = &
+    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_label =                   &
           (/ 'tnpt   ', 'x_     ', 'y_     ', 'z_     ', 'z_abs  ', 'u      ', &
              'v      ', 'w      ', 'u"     ', 'v"     ', 'w"     ', 'npt_up ', &
@@ -1123,5 +1124,5 @@
              'w*2    ', 'u"2    ', 'v"2    ', 'w"2    ', 'npt*2  ' /)
 
-    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_unit = &
+    CHARACTER (LEN=7), DIMENSION(dopts_num) :: dopts_unit =                    &
           (/ 'number ', 'm      ', 'm      ', 'm      ', 'm      ', 'm/s    ', &
              'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'm/s    ', 'number ', &
@@ -1130,16 +1131,24 @@
              'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'number2' /)
 
-    CHARACTER (LEN=7), DIMENSION(dots_max) :: dots_label = &
-          (/ 'E      ', 'E*     ', 'dt     ', 'u*     ', 'th*    ', 'umax   ', &
-             'vmax   ', 'wmax   ', 'div_new', 'div_old', 'z_i_wpt', 'z_i_pt ', &
-             'w*     ', 'w"pt"0 ', 'w"pt"  ', 'wpt    ', 'pt(0)  ', 'pt(zp) ', &
-             'w"u"0  ', 'w"v"0  ', 'w"q"0  ', 'mo_L   ', 'q*     ',            &
+    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_label =                    &
+          (/ 'E            ', 'E*           ', 'dt           ',                &
+             'u*           ', 'th*          ', 'umax         ',                &
+             'vmax         ', 'wmax         ', 'div_new      ',                &
+             'div_old      ', 'z_i_wpt      ', 'z_i_pt       ',                &
+             'w*           ', 'w"pt"0       ', 'w"pt"        ',                &
+             'wpt          ', 'pt(0)        ', 'pt(zp)       ',                &
+             'w"u"0        ', 'w"v"0        ', 'w"q"0        ',                &
+             'mo_L         ', 'q*           ',                                 &
              ( 'unknown', i9 = 1, dots_max-23 ) /)
 
-    CHARACTER (LEN=7), DIMENSION(dots_max) :: dots_unit = &
-          (/ 'm2/s2  ', 'm2/s2  ', 's      ', 'm/s    ', 'K      ', 'm/s    ', &
-             'm/s    ', 'm/s    ', 's-1    ', 's-1    ', 'm      ', 'm      ', &
-             'm/s    ', 'K m/s  ', 'K m/s  ', 'K m/s  ', 'K      ', 'K      ', &
-             'm2/s2  ', 'm2/s2  ', 'kg m/s ', 'm      ', 'kg/kg  ',            &
+    CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_unit =                     &
+          (/ 'm2/s2        ', 'm2/s2        ', 's            ',                &
+             'm/s          ', 'K            ', 'm/s          ',                &
+             'm/s          ', 'm/s          ', 's-1          ',                &
+             's-1          ', 'm            ', 'm            ',                &
+             'm/s          ', 'K m/s        ', 'K m/s        ',                &
+             'K m/s        ', 'K            ', 'K            ',                &
+             'm2/s2        ', 'm2/s2        ', 'kg m/s       ',                &
+             'm            ', 'kg/kg        ',                                 &
              ( 'unknown', i9 = 1, dots_max-23 ) /)
 
@@ -1422,5 +1431,5 @@
 
     CHARACTER (LEN=40) ::  region(0:9)
-    INTEGER(iwp) ::  pr_palm = 100, statistic_regions = 0
+    INTEGER(iwp) ::  pr_palm = 120, statistic_regions = 0
     INTEGER(iwp) ::  u_max_ijk(3) = -1, v_max_ijk(3) = -1, w_max_ijk(3) = -1
     LOGICAL ::  flow_statistics_called = .FALSE.
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1539)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1551)
@@ -23,5 +23,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Added support for land surface model and radiation model output. In the course
+! of this action a new vertical grid zs (soil) was introduced.
 ! 
 ! Former revisions:
@@ -97,5 +98,5 @@
 ! In case of extend = .TRUE.:
 ! Find out if dimensions and variables of an existing file match the values
-! of the actual run. If so, get all necessary informations (ids, etc.) from
+! of the actual run. If so, get all necessary information (ids, etc.) from
 ! this file.
 !
@@ -130,4 +131,10 @@
 
     USE kinds
+
+    USE land_surface_model_mod,                                                &
+        ONLY: land_surface, nzb_soil, nzt_soil, id_dim_zs_xy, id_dim_zs_xz,    &
+              id_dim_zs_yz, id_dim_zs_3d, id_dim_zs_mask, id_var_zs_xy,        &
+              id_var_zs_xz, id_var_zs_yz ,id_var_zs_3d, id_var_zs_mask,        &
+              nzs, zs
 
     USE pegrid
@@ -181,4 +188,5 @@
     INTEGER(iwp) ::  kk                                      !:
     INTEGER(iwp) ::  ns                                      !:
+    INTEGER(iwp) ::  ns_do                                   !: actual value of ns for soil model data
     INTEGER(iwp) ::  ns_old                                  !:
     INTEGER(iwp) ::  ntime_count                             !:
@@ -439,5 +447,5 @@
 !
 !--       In case of non-flat topography define 2d-arrays containing the height
-!--       informations
+!--       information
           IF ( TRIM( topography ) /= 'flat' )  THEN
 !
@@ -478,5 +486,22 @@
 
           ENDIF             
-
+ 
+          IF ( land_surface )  THEN
+!
+!--          Define vertical coordinate grid (zw grid)
+             nc_stat = NF90_DEF_DIM( id_set_mask(mid,av), 'zs_3d', &
+                                     mask_size(mid,3), id_dim_zs_mask(mid,av) )
+             CALL handle_netcdf_error( 'netcdf', 536 )
+
+             nc_stat = NF90_DEF_VAR( id_set_mask(mid,av), 'zs_3d', NF90_DOUBLE, &
+                                     id_dim_zs_mask(mid,av), &
+                                     id_var_zs_mask(mid,av) )
+             CALL handle_netcdf_error( 'netcdf', 536 )
+
+             nc_stat = NF90_PUT_ATT( id_set_mask(mid,av), id_var_zs_mask(mid,av), &
+                                  'units', 'meters' )
+             CALL handle_netcdf_error( 'netcdf', 537 )
+
+          ENDIF
 
 !
@@ -521,4 +546,11 @@
                    grid_y = 'y'
                    grid_z = 'zw'
+!
+!--             soil grid
+                CASE ( 't_soil', 'm_soil' )
+
+                   grid_x = 'x'
+                   grid_y = 'y'
+                   grid_z = 'zs'
 
                 CASE DEFAULT
@@ -548,4 +580,6 @@
              ELSEIF ( grid_z == 'zw' )  THEN
                 id_z = id_dim_zw_mask(mid,av)
+             ELSEIF ( grid_z == "zs" )  THEN
+                id_z = id_dim_zs_mask(mid,av)
              ENDIF
 
@@ -692,4 +726,22 @@
 
           ENDIF
+
+          IF ( land_surface )  THEN
+!
+!--          Write zs data (vertical axes for soil model), use negative values
+!--          to indicate soil depth
+             ALLOCATE( netcdf_data(mask_size(mid,3)) )
+
+             netcdf_data = zs( mask_k_global(mid,:mask_size(mid,3)) )
+
+             nc_stat = NF90_PUT_VAR( id_set_mask(mid,av), id_var_zs_mask(mid,av), &
+                                     netcdf_data, start = (/ 1 /), &
+                                     count = (/ mask_size(mid,3) /) )
+             CALL handle_netcdf_error( 'netcdf', 538 )
+
+             DEALLOCATE( netcdf_data )
+
+          ENDIF
+
 !
 !--       restore original parameter file_id (=formal parameter av) into av
@@ -982,5 +1034,5 @@
 !
 !--       In case of non-flat topography define 2d-arrays containing the height
-!--       informations
+!--       information
           IF ( TRIM( topography ) /= 'flat' )  THEN
 !
@@ -1016,4 +1068,20 @@
           ENDIF             
 
+          IF ( land_surface )  THEN
+!
+!--          Define vertical coordinate grid (zs grid)
+             nc_stat = NF90_DEF_DIM( id_set_3d(av), 'zs_3d', nzt_soil-nzb_soil+1, &
+                                     id_dim_zs_3d(av) )
+             CALL handle_netcdf_error( 'netcdf', 70 )
+
+             nc_stat = NF90_DEF_VAR( id_set_3d(av), 'zs_3d', NF90_DOUBLE, &
+                                     id_dim_zs_3d(av), id_var_zs_3d(av) )
+             CALL handle_netcdf_error( 'netcdf', 71 )
+
+             nc_stat = NF90_PUT_ATT( id_set_3d(av), id_var_zs_3d(av), 'units', &
+                                     'meters' )
+             CALL handle_netcdf_error( 'netcdf', 72 )
+
+          ENDIF
 
 !
@@ -1058,4 +1126,11 @@
                    grid_y = 'y'
                    grid_z = 'zw'
+!
+!--             soil grid
+                CASE ( 't_soil', 'm_soil' )
+
+                   grid_x = 'x'
+                   grid_y = 'y'
+                   grid_z = 'zs'
 
                 CASE DEFAULT
@@ -1085,4 +1160,6 @@
              ELSEIF ( grid_z == 'zw' )  THEN
                 id_z = id_dim_zw_3d(av)
+             ELSEIF ( grid_z == 'zs' )  THEN
+                id_z = id_dim_zs_3d(av)
              ENDIF
 
@@ -1239,4 +1316,14 @@
 
              ENDIF
+
+             IF ( land_surface )  THEN
+!
+!--             Write zs grid
+                nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_zs_3d(av),  &
+                                        - zs(nzb_soil:nzt_soil), start = (/ 1 /), &
+                                        count = (/ nzt_soil-nzb_soil+1 /) )
+                CALL handle_netcdf_error( 'netcdf', 86 )
+             ENDIF
+
           ENDIF
 
@@ -1496,4 +1583,26 @@
           CALL handle_netcdf_error( 'netcdf', 107 )
 
+
+          IF ( land_surface )  THEN
+
+             ns_do = 0
+             DO WHILE ( section(ns_do+1,1) < nzs )
+                ns_do = ns_do + 1
+             ENDDO
+!
+!--          Define vertical coordinate grid (zs grid)
+             nc_stat = NF90_DEF_DIM( id_set_xy(av), 'zs_xy', ns_do, id_dim_zs_xy(av) )
+             CALL handle_netcdf_error( 'netcdf', 539 )
+
+             nc_stat = NF90_DEF_VAR( id_set_xy(av), 'zs_xy', NF90_DOUBLE, &
+                                     id_dim_zs_xy(av), id_var_zs_xy(av) )
+             CALL handle_netcdf_error( 'netcdf', 540 )
+
+             nc_stat = NF90_PUT_ATT( id_set_xy(av), id_var_zs_xy(av), 'units', &
+                                  'meters' )
+             CALL handle_netcdf_error( 'netcdf', 541 )
+
+          ENDIF
+
 !
 !--       Define a pseudo vertical coordinate grid for the surface variables
@@ -1577,5 +1686,5 @@
 !
 !--       In case of non-flat topography define 2d-arrays containing the height
-!--       informations
+!--       information
           IF ( TRIM( topography ) /= 'flat' )  THEN
 !
@@ -1611,5 +1720,4 @@
           ENDIF
 
-
 !
 !--       Define the variables
@@ -1671,4 +1779,10 @@
                          grid_y = 'y'
                          grid_z = 'zw'
+!
+!--                   soil grid
+                      CASE ( 't_soil_xy', 'm_soil_xy' )
+                         grid_x = 'x'
+                         grid_y = 'y'
+                         grid_z = 'zs'
 
                       CASE DEFAULT
@@ -1698,4 +1812,6 @@
                    ELSEIF ( grid_z == 'zw' )  THEN
                       id_z = id_dim_zw_xy(av)
+                   ELSEIF ( grid_z == 'zs' )  THEN
+                      id_z = id_dim_zs_xy(av)
                    ENDIF
 
@@ -1813,4 +1929,25 @@
 
 !
+!--             Write zs data
+             IF ( land_surface )  THEN
+                ns_do = 0
+                DO  i = 1, ns
+                   IF( section(i,1) == -1 )  THEN
+                      netcdf_data(i) = 1.0_wp  ! section averaged along z
+                      ns_do = ns_do + 1
+                   ELSEIF ( section(i,1) < nzs )  THEN
+                      netcdf_data(i) = - zs( section(i,1) )
+                      ns_do = ns_do + 1
+                   ENDIF
+                ENDDO
+
+                nc_stat = NF90_PUT_VAR( id_set_xy(av), id_var_zs_xy(av), &
+                                        netcdf_data(1:ns_do), start = (/ 1 /),    &
+                                        count = (/ ns_do /) )
+                CALL handle_netcdf_error( 'netcdf', 124 )
+
+             ENDIF
+
+!
 !--          Write gridpoint number data
              netcdf_data(1:ns) = section(1:ns,1)
@@ -1894,4 +2031,7 @@
 
              ENDIF
+
+
+
           ENDIF
 
@@ -2240,5 +2380,5 @@
 
 !
-!--       Define the two z-axes (zu and zw)
+!--       Define the three z-axes (zu, zw, and zs)
           nc_stat = NF90_DEF_DIM( id_set_xz(av), 'zu', nz+2, id_dim_zu_xz(av) )
           CALL handle_netcdf_error( 'netcdf', 153 )
@@ -2263,4 +2403,18 @@
           CALL handle_netcdf_error( 'netcdf', 158 )
 
+          IF ( land_surface )  THEN
+
+             nc_stat = NF90_DEF_DIM( id_set_xz(av), 'zs', nzs, id_dim_zs_xz(av) )
+             CALL handle_netcdf_error( 'netcdf', 542 )
+
+             nc_stat = NF90_DEF_VAR( id_set_xz(av), 'zs', NF90_DOUBLE, &
+                                     id_dim_zs_xz(av), id_var_zs_xz(av) )
+             CALL handle_netcdf_error( 'netcdf', 543 )
+
+             nc_stat = NF90_PUT_ATT( id_set_xz(av), id_var_zs_xz(av), 'units', &
+                                     'meters' )
+             CALL handle_netcdf_error( 'netcdf', 544 )
+
+          ENDIF
 
 !
@@ -2308,4 +2462,12 @@
                       grid_y = 'y'
                       grid_z = 'zw'
+
+!
+!--                soil grid
+                   CASE ( 't_soil_xz', 'm_soil_xz' )
+
+                      grid_x = 'x'
+                      grid_y = 'y'
+                      grid_z = 'zs'
 
                    CASE DEFAULT
@@ -2335,4 +2497,6 @@
                 ELSEIF ( grid_z == 'zw' )  THEN
                    id_z = id_dim_zw_xz(av)
+                ELSEIF ( grid_z == 'zs' )  THEN
+                   id_z = id_dim_zs_xz(av)
                 ENDIF
 
@@ -2514,4 +2678,15 @@
                                      count = (/ nz+2 /) )
              CALL handle_netcdf_error( 'netcdf', 167 )
+
+!
+!--          Write zs data
+             IF ( land_surface )  THEN
+                netcdf_data(0:nzs-1) = - zs(nzb_soil:nzt_soil)
+                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zs_xz(av), &
+                                        netcdf_data(0:nzs), start = (/ 1 /),    &
+                                        count = (/ nzt_soil-nzb_soil+1 /) )
+               CALL handle_netcdf_error( 'netcdf', 548 )
+             ENDIF
+
 
              DEALLOCATE( netcdf_data )
@@ -2903,4 +3078,19 @@
           CALL handle_netcdf_error( 'netcdf', 197 )
 
+          IF ( land_surface )  THEN
+
+             nc_stat = NF90_DEF_DIM( id_set_yz(av), 'zs', nzs, id_dim_zs_yz(av) )
+             CALL handle_netcdf_error( 'netcdf', 545 )
+
+             nc_stat = NF90_DEF_VAR( id_set_yz(av), 'zs', NF90_DOUBLE, &
+                                     id_dim_zs_yz(av), id_var_zs_yz(av) )
+             CALL handle_netcdf_error( 'netcdf', 546 )
+
+             nc_stat = NF90_PUT_ATT( id_set_yz(av), id_var_zs_yz(av), 'units', &
+                                     'meters' )
+             CALL handle_netcdf_error( 'netcdf', 547 )
+
+          ENDIF
+
 
 !
@@ -2948,4 +3138,11 @@
                       grid_y = 'y'
                       grid_z = 'zw'
+!
+!--                soil grid
+                   CASE ( 't_soil_yz', 'm_soil_yz' )
+
+                      grid_x = 'x'
+                      grid_y = 'y'
+                      grid_z = 'zs'
 
                    CASE DEFAULT
@@ -2975,4 +3172,6 @@
                 ELSEIF ( grid_z == 'zw' )  THEN
                    id_z = id_dim_zw_yz(av)
+                ELSEIF ( grid_z == 'zs' )  THEN
+                   id_z = id_dim_zs_yz(av)
                 ENDIF
 
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1539)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1551)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Several changes in the liste for land surface model and radiation model
 ! 
 ! Former revisions:
@@ -100,12 +100,13 @@
 
     USE land_surface_model_mod,                                                &
-        ONLY: alpha_VanGenuchten, C_skin, canopy_resistance_coefficient,       &
-              conserve_water_content, f_shortwave_incoming,                    &
-              hydraulic_conductivity, lambda_skin_stable, lambda_skin_unstable,&
-              leaf_area_index, land_surface, l_VanGenuchten,                   &
-              min_canopy_resistance, field_capacity, residual_moisture,        &
-              saturation_moisture, wilting_point, n_VanGenuchten,              &
-              root_fraction, soil_level, soil_moisture, soil_temperature,      &
-              soil_type, vegetation_coverage, veg_type 
+        ONLY: alpha_vangenuchten, c_surface, canopy_resistance_coefficient,    &
+              conserve_water_content, dewfall, f_shortwave_incoming,           &
+              hydraulic_conductivity, lambda_surface_stable,                   &
+              lambda_surface_unstable,                                         &
+              leaf_area_index, land_surface, l_vangenuchten,                   &
+              min_canopy_resistance, min_soil_resistance, field_capacity,      &
+              residual_moisture, saturation_moisture, wilting_point,           &
+              n_vangenuchten, root_fraction, soil_moisture, soil_temperature,  &
+              soil_type, vegetation_coverage, veg_type, z0_eb, z0h_eb, zs
 
     USE kinds
@@ -134,6 +135,6 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY: albedo, day_init, dt_radiation, lambda, radiation,               &
-              time_radiation, time_utc_init 
+        ONLY: albedo, day_init, dt_radiation, lambda, net_radiation, radiation,&
+              radiation_scheme, time_radiation, time_utc_init 
                 
 
@@ -171,15 +172,18 @@
                                   vc_size_y, vc_size_z
 
-    NAMELIST /lsm_par/            alpha_VanGenuchten, C_skin,                  &
+    NAMELIST /lsm_par/            alpha_vangenuchten, c_surface,               &
                                   canopy_resistance_coefficient,               &
-                                  conserve_water_content, f_shortwave_incoming,& 
-                                  hydraulic_conductivity, lambda_skin_stable,  &
-                                  lambda_skin_unstable, leaf_area_index,       &
-                                  l_VanGenuchten, min_canopy_resistance,       &
-                                  field_capacity, residual_moisture,           &
-                                  saturation_moisture, wilting_point,          &
-                                  n_VanGenuchten, root_fraction, soil_level,   &
+                                  conserve_water_content, dewfall,             &
+                                  f_shortwave_incoming,                        & 
+                                  hydraulic_conductivity,                      &
+                                  lambda_surface_stable,                       &
+                                  lambda_surface_unstable, leaf_area_index,    &
+                                  l_vangenuchten, min_canopy_resistance,       &
+                                  min_soil_resistance, field_capacity,         &
+                                  residual_moisture, saturation_moisture,      &
+                                  wilting_point, n_vangenuchten, root_fraction,&
                                   soil_moisture, soil_temperature, soil_type,  &
-                                  vegetation_coverage, veg_type 
+                                  vegetation_coverage, veg_type, zs, z0_eb,    &
+                                  z0h_eb
 
 
@@ -207,6 +211,6 @@
                                   write_particle_statistics
 
-    NAMELIST /radiation_par/      lambda, albedo, day_init, dt_radiation,      &
-                                  time_utc_init 
+    NAMELIST /radiation_par/      albedo, day_init, dt_radiation, lambda,      &
+                                  net_radiation, radiation_scheme, time_utc_init 
 
     NAMELIST /spectra_par/        averaging_interval_sp, comp_spectra_level,   &
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1539)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1551)
@@ -20,5 +20,8 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed land surface model part. The surface fluxes are now always calculated
+! within prandtl_fluxes, based on the given surface temperature/humidity (which 
+! is either provided by the land surface model, by large scale forcing data, or
+! directly prescribed by the user.
 ! 
 ! Former revisions:
@@ -91,7 +94,4 @@
 
     USE kinds
-
-    USE land_surface_model_mod,                                                &
-        ONLY: land_surface
 
     IMPLICIT NONE
@@ -482,5 +482,5 @@
 !
 !-- Compute the vertical kinematic heat flux
-    IF ( .NOT. constant_heatflux .AND. .NOT. land_surface )  THEN
+    IF ( .NOT. constant_heatflux  )  THEN
        !$OMP PARALLEL DO
        !$acc kernels loop independent
@@ -495,6 +495,5 @@
 !
 !-- Compute the vertical water/scalar flux
-    IF ( .NOT. constant_waterflux .AND. ( humidity .OR. passive_scalar )       &
-         .AND. .NOT. land_surface )  THEN
+    IF ( .NOT. constant_waterflux .AND. ( humidity .OR. passive_scalar ) )  THEN
        !$OMP PARALLEL DO
        !$acc kernels loop independent
